ghc-lib-parser-9.10.1.20250103: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Data.Bool

# Documentation

data OverridingBool #

Constructors

Auto |
Never |
Always |

#### Instances

Instances details

Bounded OverridingBool # | Since: 9.4.1
Instance details Defined in GHC.Data.Bool Methods minBound :: OverridingBool # maxBound :: OverridingBool #
Enum OverridingBool # | Since: 9.4.1

Instance details

Defined in GHC.Data.Bool

Methods

succ :: OverridingBool -> OverridingBool #

pred :: OverridingBool -> OverridingBool #

toEnum :: Int -> OverridingBool #

fromEnum :: OverridingBool -> Int #

enumFrom :: OverridingBool -> [OverridingBool] #

enumFromThen :: OverridingBool -> OverridingBool -> [OverridingBool] #

enumFromTo :: OverridingBool -> OverridingBool -> [OverridingBool] #

enumFromThenTo :: OverridingBool -> OverridingBool -> OverridingBool -> [OverridingBool] #

Read OverridingBool # | Since: 9.4.1
Instance details Defined in GHC.Data.Bool Methods readsPrec :: Int -> ReadS OverridingBool # readList :: ReadS [OverridingBool] # readPrec :: ReadPrec OverridingBool # readListPrec :: ReadPrec [OverridingBool] #
Show OverridingBool # |
Instance details Defined in GHC.Data.Bool Methods showsPrec :: Int -> OverridingBool -> ShowS # show :: OverridingBool -> String # showList :: [OverridingBool] -> ShowS #
Eq OverridingBool # | Since: 9.4.1
Instance details Defined in GHC.Data.Bool Methods (==) :: OverridingBool -> OverridingBool -> Bool # (/=) :: OverridingBool -> OverridingBool -> Bool #
Ord OverridingBool # | Since: 9.4.1

Instance details

Defined in GHC.Data.Bool

Methods

compare :: OverridingBool -> OverridingBool -> Ordering #

(<) :: OverridingBool -> OverridingBool -> Bool #

(<=) :: OverridingBool -> OverridingBool -> Bool #

(>) :: OverridingBool -> OverridingBool -> Bool #

(>=) :: OverridingBool -> OverridingBool -> Bool #

max :: OverridingBool -> OverridingBool -> OverridingBool #

min :: OverridingBool -> OverridingBool -> OverridingBool #

overrideWith :: Bool -> OverridingBool -> Bool #